## opkssh

SSH with OpenPubkey

### Synopsis

SSH with OpenPubkey

This program allows users to:
  - Login and create SSH key pairs using their OpenID Connect identity
  - Add policies to auth_id policy files
  - Verify OpenPubkey SSH certificates for use with sshd's AuthorizedKeysCommand

```
opkssh [flags]
```

### Examples

```
  opkssh login
  opkssh add root alice@example.com https://accounts.google.com
```

### Options

```
  -h, --help   help for opkssh
```

### SEE ALSO

* [opkssh add](opkssh_add.md)	 - Appends new rule to the policy file
* [opkssh audit](opkssh_audit.md)	 - Validate policy file entries against provider definitions
* [opkssh client](opkssh_client.md)	 - Interact with client configuration
* [opkssh inspect](opkssh_inspect.md)	 - Inspect and view details of an opkssh generated SSH key
* [opkssh login](opkssh_login.md)	 - Authenticate with an OpenID Provider to generate an SSH key for opkssh
* [opkssh logout](opkssh_logout.md)	 - Remove opkssh-generated SSH keys and certificates
* [opkssh permissions](opkssh_permissions.md)	 - Check and fix filesystem permissions required by opkssh
* [opkssh readhome](opkssh_readhome.md)	 - Read the principal's home policy file
* [opkssh verify](opkssh_verify.md)	 - Verify an SSH key (used by sshd AuthorizedKeysCommand)

###### Auto generated by spf13/cobra on 31-Mar-2026
